Bug 1304522 - Review Request: python-pg8000 - Pure Python PostgreSQL Driver
Review Request: python-pg8000 - Pure Python PostgreSQL Driver
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christian Dersch
Fedora Extras Quality Assurance
trivial
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-03 17:10 EST by William Moreno
Modified: 2016-02-21 11:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-20 21:22:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lupinix: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description William Moreno 2016-02-03 17:10:40 EST
Spec URL: https://williamjmorenor.fedorapeople.org/rpmdev/python-pg8000.spec
SRPM URL: https://williamjmorenor.fedorapeople.org/rpmdev/python-pg8000-1.10.3-0.fc24.src.rpm
Description: Pure Python PostgreSQL Driver
Fedora Account System Username: williamjmorenor
Comment 1 Upstream Release Monitoring 2016-02-03 17:27:34 EST
williamjmorenor's scratch build of python-pg8000-1.10.3-1.fc24.src.rpm for f23 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12820147
Comment 2 Upstream Release Monitoring 2016-02-03 17:32:20 EST
williamjmorenor's scratch build of python-pg8000-1.10.3-1.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12820245
Comment 3 Christian Dersch 2016-02-03 18:16:16 EST
Taken. Please ensure that the SRPM matches the spec you posted, not the case here: At least Release tag differs.
Comment 5 Upstream Release Monitoring 2016-02-03 18:25:06 EST
lupinix's scratch build of python-pg8000-1.10.3-0.fc24.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12821621
Comment 7 Christian Dersch 2016-02-08 06:32:24 EST
Review done, already looks fine so far :) But I want to know why postgresql is not a requirement but only an "Suggests". Is there any functionality without a postgresql installation?


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "MIT/X11 (BSD like)", "Unknown or generated".
     36 files have unknown license. Detailed output of licensecheck in
     /home/review/1304522-python-pg8000/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.5/site-packages,
     /usr/lib/python3.5
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages, /usr/lib/python3.5
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[?]: Requires correct, justified where necessary.

===> Package suggests postgresql, not requiring it. Will package do anything useful without postgresql?

[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 768000 bytes in 38 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[?]: Final provides and requires are sane (see attachments).

===> See comment @postgresql above

[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-pg8000 , python3-pg8000 , python-pg8000-docs
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

===> is noarch

[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-pg8000-1.10.3-1.fc24.noarch.rpm
          python3-pg8000-1.10.3-1.fc24.noarch.rpm
          python-pg8000-docs-1.10.3-1.fc24.noarch.rpm
          python-pg8000-1.10.3-1.fc24.src.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
3 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python-pg8000-docs (rpmlib, GLIBC filtered):

python2-pg8000 (rpmlib, GLIBC filtered):
    python(abi)

python3-pg8000 (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-pg8000-docs:
    python-pg8000-docs

python2-pg8000:
    python-pg8000
    python2-pg8000

python3-pg8000:
    python3-pg8000



Source checksums
----------------
https://github.com/mfenniak/pg8000/archive/1.10.3.tar.gz :
  CHECKSUM(SHA256) this package     : bf0de9abb23c907b800ad742f9fd5a32127153460d2b5233f5257d23d020b597
  CHECKSUM(SHA256) upstream package : bf0de9abb23c907b800ad742f9fd5a32127153460d2b5233f5257d23d020b597


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1304522
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 8 William Moreno 2016-02-08 13:17:23 EST
Thank for the review.

> [?]: Requires correct, justified where necessary

This is a pure python library without any C extension than need to connect to libpq provided by postgresql-libs, so do not need postgresql-libs as a requires, there is a python extension for the postgresql-server provided by postgresql-plpython but it is a extension for the server, not for the client, so really there is not any postgresql dependency for this package.

This library can connect to a postgresql server running in other host/container, so there is not need of a DataBase server running in the same host, so really the Suggest: postgresql do not provides an additional function to this package, but more users should want to have the postgresql client to access the DataBase engine to check something out this python library, for example to run some maintenance tasks in the server.

In short, this package do not require any postgresql dependency in the system to work and connect to a DataBase in other host/container, the suggest postgresql is for the user convenience. 

Looking at here: https://github.com/mfenniak/pg8000/issues/99

There is a bundled six package, so I have to check if this package work with the python-six package or I have to include a Provides = bundled-python-six.
Comment 9 Upstream Release Monitoring 2016-02-08 13:51:54 EST
williamjmorenor's scratch build of python-pg8000-1.10.3-2.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12905050
Comment 10 Christian Dersch 2016-02-08 14:10:39 EST
Thanks for explanation, makes sense for me :) As you already fixed unbundling (i've overseen six.py) according to your last scratch build: Approved!
Comment 11 William Moreno 2016-02-09 10:25:00 EST
Thanks for the review.

For the record I have a pull request upstream to unbundle python-six:
https://github.com/mfenniak/pg8000/pull/101

There is a discutions open here:
https://groups.google.com/forum/#!msg/pg8000/gWWgNJuUuRk/PzaSSkloBQAJ
Comment 12 Gwyn Ciesla 2016-02-09 12:29:21 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-pg8000
Comment 13 Fedora Update System 2016-02-09 19:30:12 EST
python-pg8000-1.10.3-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-db7ed9df43
Comment 14 Fedora Update System 2016-02-09 19:31:47 EST
python-pg8000-1.10.3-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7ed3155955
Comment 15 Fedora Update System 2016-02-10 13:23:00 EST
python-pg8000-1.10.3-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7ed3155955
Comment 16 Fedora Update System 2016-02-10 13:51:07 EST
python-pg8000-1.10.3-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-db7ed9df43
Comment 17 Fedora Update System 2016-02-20 21:22:30 EST
python-pg8000-1.10.3-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-02-21 11:27:45 EST
python-pg8000-1.10.3-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.